Subject: [alpine-aports] [PATCH] testing/junit: new aport (revised)

From: Stuart Cardall <[email-masked]>
Date: Thu, 21 May 2015 12:45:47 +0000

with 'return 0' in build ()
---
 testing/junit/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/junit/APKBUILD

diff --git a/testing/junit/APKBUILD b/testing/junit/APKBUILD
new file mode 100644
index 0000000..8a8bdb9
--- /dev/null
+++ b/testing/junit/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=junit
+pkgver=4.12
+pkgrel=0
+pkgdesc="A programmer-oriented testing framework for Java"
+url="http://junit.org/"
+arch="noarch"
+license="Eclipse 1.0"
+depends=""
+source="http://search.maven.org/remotecontent?filepath=$pkgname/$pkgname/$pkgver/$pkgname-$pkgver.jar"
+
+_builddir="$srcdir"
+
+build() {
+	cd "$_builddir"
+	return 0
+}
+
+package() {
+	cd "$_builddir"
+	install -dm755 ${pkgdir}/usr/share/java || return 1
+	install -m644 "$pkgname-$pkgver.jar" ${pkgdir}/usr/share/java || return 1
+	cd ${pkgdir}/usr/share/java || return 1
+	ln -s "$pkgname-$pkgver.jar" "$pkgname.jar"
+}
+
+md5sums="5b38c40c97fbd0adee29f91e60405584  junit-4.12.jar"
+sha256sums="59721f0805e223d84b90677887d9ff567dc534d7c502ca903c0c2b17f05c116a  junit-4.12.jar"
+sha512sums="5974670c3d178a12da5929ba5dd9b4f5ff461bdc1b92618c2c36d53e88650df7adbf3c1684017bb082b477cb8f40f15dcf7526f06f06183f93118ba9ebeaccce  junit-4.12.jar"
-- 
2.4.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---